org.richfaces.fragment.common.picker

## Class ChoicePickerHelper.WebElementPickerImpl

- java.lang.Object
- - org.richfaces.fragment.common.picker.ChoicePickerHelper.WebElementPickerImpl

- All Implemented Interfaces:
    ChoicePicker, ChoicePickerHelper.WebElementPicking, ChoicePickerHelper.WebElementPicking.WebElementPicker, MultipleChoicePicker
  Enclosing class:
    ChoicePickerHelper

      public static class ChoicePickerHelper.WebElementPickerImpl
      extends Object
      implements ChoicePickerHelper.WebElementPicking.WebElementPicker

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.common.picker.ChoicePickerHelper.WebElementPicking

      `ChoicePickerHelper.WebElementPicking.CanBeNegated, ChoicePickerHelper.WebElementPicking.ComparationBy, ChoicePickerHelper.WebElementPicking.LogicalOperation, ChoicePickerHelper.WebElementPicking.WebElementPicker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChoicePickerHelper.WebElementPickerImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChoicePickerHelper.WebElementPicking.ComparationBy` | `attribute(String attributeName)`
    `org.openqa.selenium.WebElement` | `pick(List<org.openqa.selenium.WebElement> options)` Picks the first WebElement from the @options, that meets all requirements depending on implementation.
    `List<org.openqa.selenium.WebElement>` | `pickMultiple(List<org.openqa.selenium.WebElement> options)` Picks multiple WebElements from the @options, that meets all requirements depending on implementation.
    `ChoicePickerHelper.WebElementPicking.ComparationBy` | `text()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChoicePickerHelper.WebElementPickerImpl

          public ChoicePickerHelper.WebElementPickerImpl()

  - ### Method Detail

    - #### attribute

          public ChoicePickerHelper.WebElementPicking.ComparationBy attribute(String attributeName)

      Specified by:
        `attribute` in interface `ChoicePickerHelper.WebElementPicking`

    - #### pick

          public org.openqa.selenium.WebElement pick(List<org.openqa.selenium.WebElement> options)

      Description copied from interface: `ChoicePicker`
      Picks the first WebElement from the @options, that meets all requirements depending on implementation.
      Specified by:
        `pick` in interface `ChoicePicker`
      Parameters:
        `options` - options to be picked from.
      Returns:
        null or WebElement that meets all requirements.

    - #### pickMultiple

          public List<org.openqa.selenium.WebElement> pickMultiple(List<org.openqa.selenium.WebElement> options)

      Description copied from interface: `MultipleChoicePicker`
      Picks multiple WebElements from the @options, that meets all requirements depending on implementation.
      Specified by:
        `pickMultiple` in interface `MultipleChoicePicker`
      Parameters:
        `options` - options to be picked from
      Returns:
        List of WebElement that meets all requirements or an empty list

    - #### text

          public ChoicePickerHelper.WebElementPicking.ComparationBy text()

      Specified by:
        `text` in interface `ChoicePickerHelper.WebElementPicking`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.